Desktops - Update

Update a desktop.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/applicationGroups/{applicationGroupName}/desktops/{desktopName}?api-version=2025-10-10

URI Parameters

Name In Required Type Description
applicationGroupName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the application group

desktopName
path True

string

minLength: 3
maxLength: 24
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the desktop within the specified desktop group

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.description

string

Description of Desktop.

properties.friendlyName

string

Friendly name of Desktop.

Responses

Name Type Description
200 OK

Desktop

Successfully updated desktop.

Other Status Codes

CloudError

Automation error response describing why the operation failed.

Examples

Desktop_Update

Sample request

PATCH https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/applicationGroups/applicationGroup1/desktops/SessionDesktop?api-version=2025-10-10

{
  "properties": {
    "description": "des1",
    "friendlyName": "friendly"
  }
}

Sample response

{
  "name": "applicationGroup1/SessionDesktop",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/applicationGroups/applicationGroup1/desktops/SessionDesktop",
  "type": "Microsoft.DesktopVirtualization/applicationGroups/desktops",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "objectId": "7877fb31-4bde-49fd-9df3-c046e0ec5325",
    "description": "des1",
    "friendlyName": "friendly",
    "iconHash": "bEQ1n2HysrGxCDvgt4bfOtkET8ydzh5SXGM0KGTBPVc",
    "iconContent": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo"
  }
}

Definitions

Name Description
CloudError

Cloud error object.

CloudErrorProperties

Cloud error object properties.

createdByType

The type of identity that created the resource.

Desktop

Schema for Desktop properties.

DesktopPatch

Desktop properties that can be patched.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

Cloud error object.

Name Type Description
error

CloudErrorProperties

Cloud error object properties.

CloudErrorProperties

Cloud error object properties.

Name Type Description
code

string

Error code

message

string

Error message indicating why the operation failed.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

Desktop

Schema for Desktop properties.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

Description of Desktop.

properties.friendlyName

string

Friendly name of Desktop.

properties.iconContent

string (byte)

The icon a 64 bit string as a byte array.

properties.iconHash

string

Hash of the icon.

properties.objectId

string

ObjectId of Desktop. (internal use)

systemData

systemData

Metadata pertaining to creation and last modification of the resource.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DesktopPatch

Desktop properties that can be patched.

Name Type Description
properties.description

string

Description of Desktop.

properties.friendlyName

string

Friendly name of Desktop.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.